<?php
/**
 *
 * Administration Menus
 *
 * @package TalentLMS plugin
 * @author V.
 * @copyright 2012
 * @access public
 * @since 1.0
 *
 */
?>
<?php

function pluginAddAdminMenus() {
    $talentpage = add_menu_page(__('TalentLMS'), __('TalentLMS'), 'manage_options', 'talentlms', 'talent_lms_admin');
    add_action("admin_print_scripts-$talentpage", 'enqueueJsScripts');
    add_action("admin_print_styles-$talentpage", 'enqueueCssScripts');

}

add_action('admin_menu', 'pluginAddAdminMenus');

function enqueueJsScripts() {
}

function enqueueCssScripts() {
}

function talent_lms_admin() {

    if ($_POST['action']) {
        if (!$_POST['talent_domain']) {
            $domain_validation = 'form-invalid';
        } else {
            update_option('talent-domain', $_POST['talent_domain']);
        }
        if (!$_POST['api_key']) {
            $api_validation = 'form-invalid';
        } else {
            update_option('talent-api-key', $_POST['api_key']);
        }
        if($_POST['courses-per-page']) {
            update_option('courses-per-page', $_POST['courses-per-page']);
        }         
    }

    include (_BASEPATH_ . '/admin/pages/talent_lms_admin.php');
}

if (!get_option('talent-domain') || !get_option('talent-api-key')) {
    function talentlms_warning() {
        echo "<div id='talentlm-warning' class='error fade'><p><strong>" . __('You need to specify a TalentLMS domain and a TalentLMS API key.') . "</strong> " . sprintf(__('You must <a href="%1$s">enter your domain and API key</a> for it to work.'), "admin.php?page=talentlms") . "</p></div>";
    }

    add_action('admin_notices', 'talentlms_warning');
} else {
        
    TalentLMS::setApiKey(get_option('talent-api-key'));
    TalentLMS::setDomain(get_option('talent-domain'));
    
    wp_enqueue_style('talent-lms-css', _BASEURL_ . '/css/talent-style.css', false, '1.0');

    function talenttml_course_list($atts) {
            
        include (_BASEPATH_ . '/shortcodes/talentlms_courses.php');
    }

    add_shortcode('talentlms-courses', 'talenttml_course_list');
    
    function talenttml_signup($atts) {
            
        include (_BASEPATH_ . '/shortcodes/talentlms_signup.php');
    }

    add_shortcode('talentlms-signup', 'talenttml_signup');    

}
?>