<?php

if($_POST['submit']){
    
    $post = true;
    
    if(!$_POST['first-name']){
        $first_name_error = __('First Name is mandatory');
        $first_name_error_class = 'error';
        $post = false;
    }
    if(!$_POST['last-name']){
        $last_name_error = __('Last Name is mandatory');
        $last_name_error_class = 'error';
        $post = false;
    }
    if(!$_POST['email']){
        $email_error = __('Email is mandatory');
        $email_error_class = 'error';
        $post = false;
    }
    if(!$_POST['login']){
        $login_error = __('Login is mandatory');
        $login_error_class = 'error';
        $post = false;
    }
    if(!$_POST['password']){
        $password_error = __('Password is mandatory');
        $password_error_class = 'error';
        $post = false;
    }
    
    if($post){
        try{
            $newUser = TalentLMS_User::signup(array('first_name' => $_POST['first-name'], 'last_name' => $_POST['last-name'], 'email' => $_POST['email'], 'login' => $_POST['login'], 'password' => $_POST['password']));             
        
            if($newUser) {
                $output .= "<div class=\"alert alert-success\">";
                $output .= 'User '. $_POST['login'] . ' signed up successfuly. Goto to <a target="_blank" href="http://'.get_option('talent-domain').'">' . get_option('talent-domain') . '</a> to login';
                $output .= "</div>";
                                
                echo $output;                
            }
        
        } catch (Exception $e){
            if( $e instanceof TalentLMS_ApiError ) {
                            
                $output .= "<div class=\"alert alert-error\">";
                $output .= $e->getMessage();
                $output .= "</div>";
                                
                echo $output;  
            }          
        }           
    }      
}
?>

<form id="talentlms-signup-form" class="form-horizontal" action="" method="post" >

    <div class="control-group <?php echo $first_name_error_class; ?>">
        <label class="control-label" for="first-name"><?php echo __('First Name'); ?></label>
        <div class="controls">
            <input type="text" id="first-name" name="first-name">
            <span class="help-mandatory">*</span>
            <span class="help-block"><?php echo $first_name_error; ?></span>
        </div>
    </div>    

    <div class="control-group <?php echo $last_name_error_class; ?>">
        <label class="control-label" for="last-name"><?php echo __('Last Name'); ?></label>
        <div class="controls">
            <input type="text" id="last-name" name="last-name">
            <span class="help-mandatory">*</span>
            <span class="help-block"><?php echo $last_name_error; ?></span>            
        </div>
    </div>
    
    <div class="control-group <?php echo $email_error_class; ?>">
        <label class="control-label" for="email"><?php echo __('Email'); ?></label>
        <div class="controls">
            <input type="text" id="email" name="email">
            <span class="help-mandatory">*</span>
            <span class="help-block"><?php echo $email_error; ?></span>            
        </div>
    </div>
    
    <hr />   

    <div class="control-group <?php echo $login_error_class; ?>">
        <label class="control-label" for="login"><?php echo __('Login'); ?></label>
        <div class="controls">
            <input type="text" id="login" name="login">
            <span class="help-mandatory">*</span>
            <span class="help-block"><?php echo $login_error; ?></span>            
        </div>
    </div>
    
    <div class="control-group <?php echo $password_error_class; ?>">
        <label class="control-label" for="password"><?php echo __('Password'); ?></label>
        <div class="controls">
            <input type="password" " id="password" name="password">
            <span class="help-mandatory">*</span>
            <span class="help-block"><?php echo $password_error; ?></span>            
        </div>
    </div>

    <div class="form-actions">
        <input class="btn btn-primary" type="submit" data-loading-text="Processing..." value="Create account" name="submit">
    </div>    

</form>
